package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.UsuarioEmpresa;


public class RenderUsuarioEmpresa implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        UsuarioEmpresa usuarioEmpresa = (UsuarioEmpresa) o;

        Listcell lc = null;
	  
	        if (usuarioEmpresa != null) {
	        	if(usuarioEmpresa.getEmpresa() != null){
	        		if(usuarioEmpresa.getEmpresa().getCnpj() != null){
			            lc = new Listcell(usuarioEmpresa.getEmpresa().getCnpj());
			            lc.setParent(lstm);
		            }
		            
	        		if(usuarioEmpresa.getEmpresa().getNombempresa() != null){
			            lc = new Listcell(usuarioEmpresa.getEmpresa().getNombempresa());
			            lc.setParent(lstm);
	        		}
		            
	        		Short tipo = usuarioEmpresa.getEmpresa().getIndTipo();
	        		Short short1 = 1;
	        		Short short2 = 2;
	        		Short short3 = 3;
	        		if (tipo != null) {
	        			if (tipo.equals(short1)) {
	        				lc = new Listcell(Labels.getLabel("editarEmpresaController.IndTipo.1"));
	        			} else if (tipo.equals(short2)) {
	        				lc = new Listcell(Labels.getLabel("editarEmpresaController.IndTipo.2"));
	        			} else if (tipo.equals(short3)) {
	        				lc = new Listcell(Labels.getLabel("editarEmpresaController.IndTipo.3"));
	        			}
	        		} else {
	        			lc = new Listcell(Labels.getLabel(""));
	        		}
	        		lc.setParent(lstm);
		            
	        	}
	        } 
	 

   
        

        lstm.setAttribute("data", usuarioEmpresa);
    }
}

