/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias;

import java.util.List;

import org.zkoss.zk.ui.event.Event;
import org.zkoss.zk.ui.event.EventListener;
import org.zkoss.zul.Combobox;
import org.zkoss.zul.Comboitem;

/**
 *
 * @author gleimar
 */
public class MyComboboxEstandar extends Combobox {

    public MyComboboxEstandar() {
        super();

        this.setAutodrop(true);
        this.setAutocomplete(true);
        this.setReadonly(true);
        this.setCtrlKeys("#del");

        this.addEventListener("onCtrlKey", new EventListener() {

            @Override
            public void onEvent(Event event) throws Exception {
                MyComboboxEstandar.this.setSelectedItem(null);
                MyComboboxEstandar.this.close();
            }
        });
        
        
        
    }
    
    public static void clearCombobox(Combobox combobox) {
		
		int size = combobox.getItemCount();
		
		for (int i = size - 1; i >= 0; i--){
			combobox.removeItemAt(i);
		}
	}
    
    public static void popularCombobox(Combobox cmb, List<String> lista) throws Exception{
		
		clearCombobox(cmb);
		
		List<String> getList = lista;
		
		if(!getList.isEmpty()){
			
			for (String obj : getList) {
				
				Comboitem comboItem = new Comboitem(obj);				
				comboItem.setValue(obj);
				comboItem.setParent(cmb);
				
			}
			
		}	
		
	}
}
