/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.SimpleDateFormat;
import java.util.logging.SimpleFormatter;

import com.rjconsultores.ventaboletos.entidad.Pricing;
import com.rjconsultores.ventaboletos.entidad.PricingVigencia;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderPricing implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Pricing p = (Pricing) o;

        Listcell lc = new Listcell();

        if (p.getNombPricing() != null) {

            if (p.getPricingId() != null) {
                lc = new Listcell(p.getPricingId().toString());
            } else {
                lc = new Listcell("-");
            }
            lc.setParent(lstm);

            if (p.getNombPricing() != null) {
                lc = new Listcell(p.getNombPricing());
            } else {
                lc = new Listcell("-");
            }
            lc.setParent(lstm);

           
            if (p.getEmpresa() != null) {
                lc = new Listcell(p.getEmpresa().getNombempresa());
            } else {
                lc = new Listcell("-");
            }
            lc.setParent(lstm);
            
            SimpleDateFormat dt = new SimpleDateFormat("dd/MM/yyyy");
            if (!p.getPricingVigenciaList().isEmpty()) {
            	String data  = "";
            	for(PricingVigencia pv : p.getPricingVigenciaList()){
            		data = data + dt.format( pv.getFecinicioviaje()) +" a "+ dt.format(pv.getFecfinviaje()) + " ou ";
            	}
            	data = data.substring(0,data.length()-3);
                lc = new Listcell(data);
            } else {
                lc = new Listcell("-");
            }
            lc.setParent(lstm);
        }
        lstm.setAttribute("data", p);
    }
}
